## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           python-esbonio
Version:        1.0.0b3
Release:        %autorelease
Summary:        A Language Server for Sphinx projects
License:        MIT
URL:            https://github.com/swyddfa/esbonio
Source:         %{url}/releases/download/esbonio-language-server-v%{version}/esbonio-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  %{py3_dist websockets}
BuildRequires:  %{py3_dist sphinx}

%global _description %{expand:
Esbonio aims to make it easier to work with reStructuredText tools such as
Sphinx by providing a Language Server to enhance your editing experience.}

%description %_description

%package -n     python3-esbonio
Summary:        %{summary}

%description -n python3-esbonio %_description

%pyproject_extras_subpkg -n python3-esbonio dev,typecheck

%prep
%autosetup -p1 -n esbonio-%{version}

%generate_buildrequires
%pyproject_buildrequires -x dev,typecheck

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files esbonio

%check
%pyproject_check_import

%files -n python3-esbonio -f %{pyproject_files}
%{_bindir}/esbonio

%changelog
## START: Generated by rpmautospec
* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0b3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0b3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Mon Jun 17 2024 Python Maint <python-maint@redhat.com> - 1.0.0b3-2
- Rebuilt for Python 3.13

* Mon Apr 29 2024 Packit <hello@packit.dev> - 1.0.0b3-1
- Update to 1.0.0b3 upstream release
- Resolves: rhbz#2257963

* Sun Apr 21 2024 topazus <topazus@outlook.com> - 1.0.0b2-1
- 1.0.0b2

* Wed Mar 13 2024 Sandro <devel@penguinpee.nl> - 0.16.4-6
- Drop upper bound on pytest-asyncio

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.16.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.16.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Tue Jan 16 2024 topazus <topazus@outlook.com> - 0.16.4-3
- switch source url

* Sat Jan 13 2024 topazus <topazus@outlook.com> - 0.16.4-2
- fix packit config

* Sat Jan 13 2024 Packit <hello@packit.dev> - 0.16.4-1
- [packit] 0.16.4 upstream release

* Fri Jan 12 2024 Maja Massarini <mmassari@redhat.com> - 0.16.3-2
- Use upstream_tag_template in packit.yaml

* Mon Jan 01 2024 topazus <topazus@outlook.com> - 0.16.3-1
- initial import; rhz#2256365
## END: Generated by rpmautospec
